org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization

## Class ContentMergeViewerCustomizationRegistryListener

- java.lang.Object
- - org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener
  - - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization.ContentMergeViewerCustomizationRegistryListener

All Implemented Interfaces:
  EventListener, org.eclipse.core.runtime.IRegistryEventListener

    public class ContentMergeViewerCustomizationRegistryListener
    extends AbstractRegistryEventListener

The listener responsible for handling registration events regarding content merge viewer customizations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

### Constructor Summary

Constructors
Constructor and Description
`ContentMergeViewerCustomizationRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, ContentMergeViewerCustomizationRegistry contentMergeViewerCustomizationRegistry)` Initialize a registry event listener for our handlers.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `addedValid(org.eclipse.core.runtime.IConfigurationElement element)` Process the given element as the addition of a valid element extension.
`protected String` `getAttribute(org.eclipse.core.runtime.IConfigurationElement element, String attributeName, String defaultResult)` Returns the attribute with the `attributeName` from the given `element`.
`protected boolean` `removedValid(org.eclipse.core.runtime.IConfigurationElement element)` Process the given element as the removal of a valid element extension.
`protected boolean` `validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)` Validates if the given element is an element for the given extension and is well constructed.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`added, added, log, log, log, logMissingAttribute, readElement, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentMergeViewerCustomizationRegistryListener

    public ContentMergeViewerCustomizationRegistryListener(String pluginID,
                                                           String extensionPointID,
                                                           org.eclipse.core.runtime.ILog log,
                                                           ContentMergeViewerCustomizationRegistry contentMergeViewerCustomizationRegistry)

Initialize a registry event listener for our handlers.

Parameters:
  `pluginID` - ID of the plugin contributing the extension point to monitor.
  `extensionPointID` - Actual id of the extension point to monitor.
  `log` - Log in which errors/warning should be logged.
  `contentMergeViewerCustomizationRegistry` - The actual store of handlers this registry will alter.

### Method Detail

#### addedValid

    protected boolean addedValid(org.eclipse.core.runtime.IConfigurationElement element)

Description copied from class: `AbstractRegistryEventListener`
Process the given element as the addition of a valid element extension.

Specified by:
  `addedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be added.
Returns:
  true if the given element has been added and if its children should be processed, false otherwise.

#### getAttribute

    protected String getAttribute(org.eclipse.core.runtime.IConfigurationElement element,
                                  String attributeName,
                                  String defaultResult)

Returns the attribute with the `attributeName` from the given `element`.

Parameters:
  `element` - the `IConfigurationElement`.
  `attributeName` - the name of the attribute which's value is to be determined.
  `defaultResult` - the result of this method if the attribute does not exist.
Returns:
  The determined value of the attribute if it exists, `defaultResult` otherwise.

#### removedValid

    protected boolean removedValid(org.eclipse.core.runtime.IConfigurationElement element)

Process the given element as the removal of a valid element extension.

Specified by:
  `removedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be removed.
Returns:
  true if the given element has been removed and if its children should be processed, false otherwise.
See Also:
  `AbstractRegistryEventListener.removedValid(org.eclipse.core.runtime.IConfigurationElement)`

#### validateExtensionElement

    protected boolean validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)

Validates if the given element is an element for the given extension and is well constructed. Returns true if the element should be further parsed for addition or removal.

Specified by:
  `validateExtensionElement` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to validate.
Returns:
  true if the element should be further parsed for addition or removal, else otherwise.
See Also:
  `AbstractRegistryEventListener.validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement)`